# ADFS 3.0/2012 Using ADAL

| Field           | Description                                                                            |
| --------------- | -------------------------------------------------------------------------------------- |
| authority       | **string** Configured resource ID for this application.                                |
| resourceId      | **string** Configured resource ID for this application.                                |
| clientId        | **string** Configured client ID for this application.                                  |
| redirectUri     | **string** Configured callback URL for this application                                |
| defaultDomain   | **string** Pre-populates the username field with the domain prefix (optional).         |
| claim\_userId   | **string** Passthrough field containing the userID (e.g. `"unique_name"`).             |
| claim\_username | **string** LDAP passthrough field containing the user's display name.                  |
| claim\_groups   | **string** LDAP passthrough field containing the groups (e.g. equivalent to MemberOf). |
| baseUrl         | **string** The base URL for the ADFS environment.                                      |

**Example:**

```
...
"auth_adal" : {
    "baseUrl" : "https://adfs2012.bluefletch.com",
    "authority" : "https://adfs2012.bluefletch.com/adfs/oauth2",
    "clientId" : "com.bluefletch.ems.auth",
    "resourceId" : "com.bluefletch.ems.auth",
    "redirectUri" : "com.bluefletch.launcher:/callback",
    "defaultDomain" : "BLUEFLETCH\\",
    "claim_userId" : "upn",
    "claim_username" : "commonname",
    "claim_groups" : "MemberOf"
}
...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/authentication-and-sso/technical-guide/adfs-3.0-2012-using-adal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
